' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Public Class DP_Alerte_Historique



    Private Sub DP_Alerte_Historique_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: cette ligne de code charge les données dans la table 'PharmaDataSet.DP_Msg'. Vous pouvez la déplacer ou la supprimer selon vos besoins.
        Me.DP_MsgTableAdapter.Fill(Me.PharmaDataSet.DP_Msg)

    End Sub


    Private Sub DP_MsgDataGridView_CellClick1(sender As Object, e As DataGridViewCellEventArgs) Handles DP_MsgDataGridView.CellClick
        If e.RowIndex < 0 Then Exit Sub
        Dim DP_Alerte_ As New DP_Alerte2
        DP_Alerte_.affichage_Msg(DP_MsgDataGridView.Item(0, e.RowIndex).Value)
        DP_Alerte_.Button1.Text = "Annuler"
        DP_Alerte_.ShowDialog()
    End Sub

 


End Class